feature.h File Reference

Go to the source code of this file.

## Enumerations

enum | mpd_protocol_feature { MPD_FEATURE_UNKNOWN = -1 , MPD_FEATURE_HIDE_PLAYLISTS_IN_ROOT , MPD_FEATURE_COUNT }

## Functions

const char * | mpd_feature_name (enum mpd_protocol_feature feature)
enum mpd_protocol_feature | mpd_feature_name_parse (const char *name)

## Enumeration Type Documentation

## mpd_protocol_feature

enum mpd_protocol_feature

Since
  libmpdclient 2.23

Enumerator
MPD_FEATURE_UNKNOWN | Special value returned by mpd_feature_parse() when an unknown name was passed.
MPD_FEATURE_HIDE_PLAYLISTS_IN_ROOT |
MPD_FEATURE_COUNT |

Definition at line 10 of file feature.h.

## Function Documentation

## mpd_feature_name()

const char * mpd_feature_name | ( | enum mpd_protocol_feature | feature | ) |

Looks up the name of the specified protocol feature.

Since
  libmpdclient 2.23

Returns
  the name, or NULL if the tag type is not valid

## mpd_feature_name_parse()

enum mpd_protocol_feature mpd_feature_name_parse | ( | const char * | name | ) |

Parses a protocol feature name, and returns its mpd_protocol_feature value.

Since
  libmpdclient 2.23

Returns
  a mpd_protocol_feature value, or MPD_FEATURE_UNKNOWN if the name was not recognized